import { ElMessage, ElMessageBox } from 'element-plus'

const defaultFunc = () => { }

export function confirmDelete(msg, ok = defaultFunc, no = defaultFunc) {
  ElMessageBox({
    title: '',
    message: (<div>
      <h1 className="confirm-box-title">{msg.title}</h1>
      <div className='confirm-box-content' type={msg.type || 0}>{msg.content}</div>
    </div>),
    showCancelButton: true,
    confirmButtonText: '确认',
    cancelButtonText: '取消',
    showClose: false,
    customClass: "confirm-delete confirm-box",
    beforeClose: (action, instance, done) => {
      if (action === 'confirm') {
        // instance.confirmButtonLoading = true
        // instance.confirmButtonText = 'Loading...'
        // setTimeout(() => {
        //   done()
        //   setTimeout(() => {
        //     instance.confirmButtonLoading = false
        //   }, 300)
        // }, 3000)
        done()
      } else {
        done()
      }
    },
  }).then((action, instance, done) => {
    if (action === 'confirm') {
      ok()
    } else {

    }
  }).catch(() => {
    no()
  })
}


